]> cygwin.com Git - cygwin-apps/cygutils.git/blob - Makefile.in
Initial import
[cygwin-apps/cygutils.git] / Makefile.in
1 # Makefile.in generated automatically by automake 1.5 from Makefile.am.
2
3 # Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001
4 # Free Software Foundation, Inc.
5 # This Makefile.in is free software; the Free Software Foundation
6 # gives unlimited permission to copy and/or distribute it,
7 # with or without modifications, as long as this notice is preserved.
8
9 # This program is distributed in the hope that it will be useful,
10 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
11 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
12 # PARTICULAR PURPOSE.
13
14 @SET_MAKE@
15
16 SHELL = @SHELL@
17
18 srcdir = @srcdir@
19 top_srcdir = @top_srcdir@
20 VPATH = @srcdir@
21 prefix = @prefix@
22 exec_prefix = @exec_prefix@
23
24 bindir = @bindir@
25 sbindir = @sbindir@
26 libexecdir = @libexecdir@
27 datadir = @datadir@
28 sysconfdir = @sysconfdir@
29 sharedstatedir = @sharedstatedir@
30 localstatedir = @localstatedir@
31 libdir = @libdir@
32 infodir = @infodir@
33 mandir = @mandir@
34 includedir = @includedir@
35 oldincludedir = /usr/include
36 pkgdatadir = $(datadir)/@PACKAGE@
37 pkglibdir = $(libdir)/@PACKAGE@
38 pkgincludedir = $(includedir)/@PACKAGE@
39 top_builddir = .
40
41 ACLOCAL = @ACLOCAL@
42 AUTOCONF = @AUTOCONF@
43 AUTOMAKE = @AUTOMAKE@
44 AUTOHEADER = @AUTOHEADER@
45
46 INSTALL = @INSTALL@
47 INSTALL_PROGRAM = @INSTALL_PROGRAM@
48 INSTALL_DATA = @INSTALL_DATA@
49 INSTALL_SCRIPT = @INSTALL_SCRIPT@
50 INSTALL_HEADER = $(INSTALL_DATA)
51 transform = @program_transform_name@
52 NORMAL_INSTALL = :
53 PRE_INSTALL = :
54 POST_INSTALL = :
55 NORMAL_UNINSTALL = :
56 PRE_UNINSTALL = :
57 POST_UNINSTALL = :
58 AMTAR = @AMTAR@
59 AWK = @AWK@
60 CC = @CC@
61 DEPDIR = @DEPDIR@
62 EXEEXT = @EXEEXT@
63 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
64 MAINT = @MAINT@
65 OBJEXT = @OBJEXT@
66 PACKAGE = @PACKAGE@
67 VERSION = @VERSION@
68 am__include = @am__include@
69 am__quote = @am__quote@
70 install_sh = @install_sh@
71
72 SUBDIRS = src-gpl src-pd src-bsd
73 subdir = .
74 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
75 mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
76 CONFIG_HEADER = config.h
77 CONFIG_CLEAN_FILES =
78 DIST_SOURCES =
79
80 RECURSIVE_TARGETS = info-recursive dvi-recursive install-info-recursive \
81 uninstall-info-recursive all-recursive install-data-recursive \
82 install-exec-recursive installdirs-recursive install-recursive \
83 uninstall-recursive check-recursive installcheck-recursive
84 DIST_COMMON = README ./stamp-h.in AUTHORS COPYING ChangeLog INSTALL \
85 Makefile.am Makefile.in NEWS TODO aclocal.m4 config.h.in \
86 configure configure.ac depcomp install-sh missing mkinstalldirs
87 DIST_SUBDIRS = $(SUBDIRS)
88 all: config.h
89 $(MAKE) $(AM_MAKEFLAGS) all-recursive
90
91 .SUFFIXES:
92 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ Makefile.am $(top_srcdir)/configure.ac $(ACLOCAL_M4)
93 cd $(top_srcdir) && \
94 $(AUTOMAKE) --gnu Makefile
95 Makefile: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.in $(top_builddir)/config.status
96 cd $(top_builddir) && \
97 CONFIG_HEADERS= CONFIG_LINKS= \
98 CONFIG_FILES=$@ $(SHELL) ./config.status
99
100 $(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
101 $(SHELL) ./config.status --recheck
102 $(srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(srcdir)/configure.ac $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
103 cd $(srcdir) && $(AUTOCONF)
104
105 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ configure.ac
106 cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
107 config.h: stamp-h
108 @if test ! -f $@; then \
109 rm -f stamp-h; \
110 $(MAKE) stamp-h; \
111 else :; fi
112 stamp-h: $(srcdir)/config.h.in $(top_builddir)/config.status
113 @rm -f stamp-h stamp-hT
114 @echo timestamp > stamp-hT 2> /dev/null
115 cd $(top_builddir) \
116 && CONFIG_FILES= CONFIG_HEADERS=config.h \
117 $(SHELL) ./config.status
118 @mv stamp-hT stamp-h
119 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/./stamp-h.in
120 @if test ! -f $@; then \
121 rm -f $(srcdir)/./stamp-h.in; \
122 $(MAKE) $(srcdir)/./stamp-h.in; \
123 else :; fi
124 $(srcdir)/./stamp-h.in: $(top_srcdir)/configure.ac $(ACLOCAL_M4)
125 @rm -f $(srcdir)/./stamp-h.in $(srcdir)/./stamp-h.inT
126 @echo timestamp > $(srcdir)/./stamp-h.inT 2> /dev/null
127 cd $(top_srcdir) && $(AUTOHEADER)
128 @mv $(srcdir)/./stamp-h.inT $(srcdir)/./stamp-h.in
129
130 distclean-hdr:
131 -rm -f config.h
132 uninstall-info-am:
133
134 # This directory's subdirectories are mostly independent; you can cd
135 # into them and run `make' without going through this Makefile.
136 # To change the values of `make' variables: instead of editing Makefiles,
137 # (1) if the variable is set in `config.status', edit `config.status'
138 # (which will cause the Makefiles to be regenerated when you run `make');
139 # (2) otherwise, pass the desired values on the `make' command line.
140 $(RECURSIVE_TARGETS):
141 @set fnord $(MAKEFLAGS); amf=$$2; \
142 dot_seen=no; \
143 target=`echo $@ | sed s/-recursive//`; \
144 list='$(SUBDIRS)'; for subdir in $$list; do \
145 echo "Making $$target in $$subdir"; \
146 if test "$$subdir" = "."; then \
147 dot_seen=yes; \
148 local_target="$$target-am"; \
149 else \
150 local_target="$$target"; \
151 fi; \
152 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
153 || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
154 done; \
155 if test "$$dot_seen" = "no"; then \
156 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
157 fi; test -z "$$fail"
158
159 mostlyclean-recursive clean-recursive distclean-recursive \
160 maintainer-clean-recursive:
161 @set fnord $(MAKEFLAGS); amf=$$2; \
162 dot_seen=no; \
163 case "$@" in \
164 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
165 *) list='$(SUBDIRS)' ;; \
166 esac; \
167 rev=''; for subdir in $$list; do \
168 if test "$$subdir" = "."; then :; else \
169 rev="$$subdir $$rev"; \
170 fi; \
171 done; \
172 rev="$$rev ."; \
173 target=`echo $@ | sed s/-recursive//`; \
174 for subdir in $$rev; do \
175 echo "Making $$target in $$subdir"; \
176 if test "$$subdir" = "."; then \
177 local_target="$$target-am"; \
178 else \
179 local_target="$$target"; \
180 fi; \
181 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
182 || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
183 done && test -z "$$fail"
184 tags-recursive:
185 list='$(SUBDIRS)'; for subdir in $$list; do \
186 test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
187 done
188
189 tags: TAGS
190
191 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
192 list='$(SOURCES) $(HEADERS) $(TAGS_FILES)'; \
193 unique=`for i in $$list; do \
194 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
195 done | \
196 $(AWK) ' { files[$$0] = 1; } \
197 END { for (i in files) print i; }'`; \
198 mkid -fID $$unique $(LISP)
199
200 TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
201 $(TAGS_FILES) $(LISP)
202 tags=; \
203 here=`pwd`; \
204 list='$(SUBDIRS)'; for subdir in $$list; do \
205 if test "$$subdir" = .; then :; else \
206 test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
207 fi; \
208 done; \
209 list='$(SOURCES) $(HEADERS) $(TAGS_FILES)'; \
210 unique=`for i in $$list; do \
211 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
212 done | \
213 $(AWK) ' { files[$$0] = 1; } \
214 END { for (i in files) print i; }'`; \
215 test -z "$(ETAGS_ARGS)config.h.in$$unique$(LISP)$$tags" \
216 || etags $(ETAGS_ARGS) $$tags config.h.in $$unique $(LISP)
217
218 GTAGS:
219 here=`CDPATH=: && cd $(top_builddir) && pwd` \
220 && cd $(top_srcdir) \
221 && gtags -i $(GTAGS_ARGS) $$here
222
223 distclean-tags:
224 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH
225
226 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
227
228 top_distdir = .
229 # Avoid unsightly `./'.
230 distdir = $(PACKAGE)-$(VERSION)
231
232 GZIP_ENV = --best
233
234 distdir: $(DISTFILES)
235 -chmod -R a+w $(distdir) >/dev/null 2>&1; rm -rf $(distdir)
236 mkdir $(distdir)
237 @for file in $(DISTFILES); do \
238 if test -f $$file; then d=.; else d=$(srcdir); fi; \
239 dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
240 if test "$$dir" != "$$file" && test "$$dir" != "."; then \
241 $(mkinstalldirs) "$(distdir)/$$dir"; \
242 fi; \
243 if test -d $$d/$$file; then \
244 cp -pR $$d/$$file $(distdir) \
245 || exit 1; \
246 else \
247 test -f $(distdir)/$$file \
248 || cp -p $$d/$$file $(distdir)/$$file \
249 || exit 1; \
250 fi; \
251 done
252 for subdir in $(SUBDIRS); do \
253 if test "$$subdir" = .; then :; else \
254 test -d $(distdir)/$$subdir \
255 || mkdir $(distdir)/$$subdir \
256 || exit 1; \
257 (cd $$subdir && \
258 $(MAKE) $(AM_MAKEFLAGS) \
259 top_distdir="$(top_distdir)" \
260 distdir=../$(distdir)/$$subdir \
261 distdir) \
262 || exit 1; \
263 fi; \
264 done
265 -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
266 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
267 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
268 ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
269 || chmod -R a+r $(distdir)
270 dist: distdir
271 $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
272 -chmod -R a+w $(distdir) >/dev/null 2>&1; rm -rf $(distdir)
273
274 # This target untars the dist file and tries a VPATH configuration. Then
275 # it guarantees that the distribution is self-contained by making another
276 # tarfile.
277 distcheck: dist
278 -chmod -R a+w $(distdir) > /dev/null 2>&1; rm -rf $(distdir)
279 GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(AMTAR) xf -
280 chmod -R a-w $(distdir); chmod a+w $(distdir)
281 mkdir $(distdir)/=build
282 mkdir $(distdir)/=inst
283 chmod a-w $(distdir)
284 dc_install_base=`CDPATH=: && cd $(distdir)/=inst && pwd` \
285 && cd $(distdir)/=build \
286 && ../configure --srcdir=.. --prefix=$$dc_install_base \
287 && $(MAKE) $(AM_MAKEFLAGS) \
288 && $(MAKE) $(AM_MAKEFLAGS) dvi \
289 && $(MAKE) $(AM_MAKEFLAGS) check \
290 && $(MAKE) $(AM_MAKEFLAGS) install \
291 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
292 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
293 && (test `find $$dc_install_base -type f -print | wc -l` -le 1 \
294 || (echo "Error: files left after uninstall" 1>&2; \
295 exit 1) ) \
296 && $(MAKE) $(AM_MAKEFLAGS) dist \
297 && $(MAKE) $(AM_MAKEFLAGS) distclean \
298 && rm -f $(distdir).tar.gz \
299 && (test `find . -type f -print | wc -l` -eq 0 \
300 || (echo "Error: files left after distclean" 1>&2; \
301 exit 1) )
302 -chmod -R a+w $(distdir) > /dev/null 2>&1; rm -rf $(distdir)
303 @echo "$(distdir).tar.gz is ready for distribution" | \
304 sed 'h;s/./=/g;p;x;p;x'
305 check-am: all-am
306 check: check-recursive
307 all-am: Makefile config.h
308 installdirs: installdirs-recursive
309 installdirs-am:
310
311 install: install-recursive
312 install-exec: install-exec-recursive
313 install-data: install-data-recursive
314 uninstall: uninstall-recursive
315
316 install-am: all-am
317 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
318
319 installcheck: installcheck-recursive
320 install-strip:
321 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
322 `test -z '$(STRIP)' || \
323 echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
324 mostlyclean-generic:
325
326 clean-generic:
327
328 distclean-generic:
329 -rm -f Makefile $(CONFIG_CLEAN_FILES) stamp-h stamp-h[0-9]*
330
331 maintainer-clean-generic:
332 @echo "This command is intended for maintainers to use"
333 @echo "it deletes files that may require special tools to rebuild."
334 clean: clean-recursive
335
336 clean-am: clean-generic mostlyclean-am
337
338 dist-all: distdir
339 $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
340 -chmod -R a+w $(distdir) >/dev/null 2>&1; rm -rf $(distdir)
341 distclean: distclean-recursive
342 -rm -f config.status config.cache config.log
343 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
344
345 dvi: dvi-recursive
346
347 dvi-am:
348
349 info: info-recursive
350
351 info-am:
352
353 install-data-am:
354
355 install-exec-am:
356
357 install-info: install-info-recursive
358
359 install-man:
360
361 installcheck-am:
362
363 maintainer-clean: maintainer-clean-recursive
364
365 maintainer-clean-am: distclean-am maintainer-clean-generic
366
367 mostlyclean: mostlyclean-recursive
368
369 mostlyclean-am: mostlyclean-generic
370
371 uninstall-am: uninstall-info-am
372
373 uninstall-info: uninstall-info-recursive
374
375 .PHONY: $(RECURSIVE_TARGETS) GTAGS all all-am check check-am clean \
376 clean-generic clean-recursive dist dist-all distcheck distclean \
377 distclean-generic distclean-hdr distclean-recursive \
378 distclean-tags distdir dvi dvi-am dvi-recursive info info-am \
379 info-recursive install install-am install-data install-data-am \
380 install-data-recursive install-exec install-exec-am \
381 install-exec-recursive install-info install-info-am \
382 install-info-recursive install-man install-recursive \
383 install-strip installcheck installcheck-am installdirs \
384 installdirs-am installdirs-recursive maintainer-clean \
385 maintainer-clean-generic maintainer-clean-recursive mostlyclean \
386 mostlyclean-generic mostlyclean-recursive tags tags-recursive \
387 uninstall uninstall-am uninstall-info-am \
388 uninstall-info-recursive uninstall-recursive
389
390 # Tell versions [3.59,3.63) of GNU make to not export all variables.
391 # Otherwise a system limit (for SysV at least) may be exceeded.
392 .NOEXPORT:
This page took 0.054664 seconds and 6 git commands to generate.